"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var EtablissemntAccessTokenStrategy_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.EtablissemntAccessTokenStrategy = void 0;
const passport_jwt_1 = require("passport-jwt");
const passport_1 = require("@nestjs/passport");
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const axios_1 = require("@nestjs/axios");
let EtablissemntAccessTokenStrategy = EtablissemntAccessTokenStrategy_1 = class EtablissemntAccessTokenStrategy extends (0, passport_1.PassportStrategy)(passport_jwt_1.Strategy, 'etablissement-jwt') {
    constructor(configService, httpService) {
        super({
            jwtFromRequest: passport_jwt_1.ExtractJwt.fromAuthHeaderAsBearerToken(),
            ignoreExpiration: false,
            secretOrKey: process.env.JWT_ACCESS_SECRET_ETABLISSEMENT,
            passReqToCallback: true
        });
        this.configService = configService;
        this.httpService = httpService;
        this.logger = new common_1.Logger(EtablissemntAccessTokenStrategy_1.name);
    }
    async validate(req, payload) {
        this.logger.log('Request sent by user: ' + payload.userId);
        const url = await this.configService.get('URL_AUTH');
        const { data } = await this.httpService.axiosRef.get(`${url}/users/auth/${payload.userId}/${payload.email}`);
        this.logger.log('Request sent by user: ' + payload.userId);
        return payload;
    }
};
exports.EtablissemntAccessTokenStrategy = EtablissemntAccessTokenStrategy;
exports.EtablissemntAccessTokenStrategy = EtablissemntAccessTokenStrategy = EtablissemntAccessTokenStrategy_1 = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [config_1.ConfigService,
        axios_1.HttpService])
], EtablissemntAccessTokenStrategy);
//# sourceMappingURL=etablissement-access-token.strategy.js.map