"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MyNestJwtPackageService = void 0;
const common_1 = require("@nestjs/common");
const jwt_1 = require("@nestjs/jwt");
const bcrypt = __importStar(require("bcrypt"));
let MyNestJwtPackageService = class MyNestJwtPackageService {
    constructor(jwtService) {
        this.jwtService = jwtService;
    }
    async hashRefreshToken(refresh_token, salt) {
        const hash = await bcrypt.hash(refresh_token, salt);
        return hash;
    }
    async hashPassword(password, salt) {
        const hash = await bcrypt.hash(password, salt);
        return hash;
    }
    async generateSalt() {
        const salt = await bcrypt.genSalt();
        return salt;
    }
    async validatePassword(incomePassword, existPassword) {
        const isMatch = await bcrypt.compare(incomePassword, existPassword);
        if (!isMatch) {
            throw new common_1.NotFoundException('Le mot de passe que vous avez entré est incorrect!');
        }
        return isMatch;
    }
    async validateRefreshToken(incomeToken, existToken) {
        const isMatch = await bcrypt.compare(incomeToken, existToken);
        if (!isMatch) {
            throw new common_1.ForbiddenException('Accès refusé');
        }
        return isMatch;
    }
    async signAccess_token(payload, secret) {
        return this.jwtService.signAsync(payload, {
            secret: secret
        });
    }
    async signRefresh_token(payload, secret) {
        return this.jwtService.signAsync(payload, {
            secret: secret
        });
    }
    async sign(payload, secret) {
        const token = this.jwtService.signAsync(payload, {
            secret: secret
        });
        return token;
    }
    async verify(payload, secret) {
        const result = await this.jwtService.verify(payload, {
            secret: secret
        });
        return result;
    }
};
exports.MyNestJwtPackageService = MyNestJwtPackageService;
exports.MyNestJwtPackageService = MyNestJwtPackageService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [jwt_1.JwtService])
], MyNestJwtPackageService);
//# sourceMappingURL=my-nest-jwt-package.service.js.map